Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77223 - A FreeBSD partition is destroyed when RH 8.0 is installed
Summary: A FreeBSD partition is destroyed when RH 8.0 is installed
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: parted
Version: 8.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-03 16:29 UTC by Marian-Nicolae ION
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-04 14:00:36 UTC


Attachments (Terms of Use)

Description Marian-Nicolae ION 2002-11-03 16:29:14 UTC
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux 2.4.20-pre11-mni; X11; 
i686; , en_US.UTF-8, en_US, en) 
 
Description of problem: 
After the partition phase of the installation, when RH assigns mount points, 
it badly reports a FreeBSD partition (type 0xa5) as a "reiserfs" partition. 
Once the installation is finished, FreeBSD does not boot anymore and one 
should completely reinstall it. 
 
Version-Release number of selected component (if applicable): 
FreeBSD 4.7; RedHat 8.0 - both on a Pentium III PC. 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. install FreeBSD 
2. install RH 8.0 
3. add the following lines in /boot/grub/menu.lst 
title FreeBSD 
        root (hd1,0,a) 
        kernel /boot/loader 
  
4. try to boot again in FreeBSD - GRUB displays "bad partition" (or something 
like that) 
	 
 
Actual Results:  I couldn't boot in FreeBSD anymore! 
 
Expected Results:  To normally boot in my FreeBSD! Once reinstalled, using the 
same GRUB menu.lst file, it normally booted! 
 
Additional info:

Comment 1 Jeremy Katz 2004-06-25 18:40:44 UTC
Does this still happen with newer releases?

Comment 2 Jeremy Katz 2004-11-04 14:00:36 UTC
Closing due to inactivity.  Please reopen this bug if you have further
information to add to the report.


Note You need to log in before you can comment on or make changes to this bug.